GNU bug report logs - #31307
[PATCH] Add MAT, the Metadata Anonymisation Toolkit from Boum

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Chris Marusich <cmmarusich@HIDDEN>; Keywords: patch; dated Sat, 28 Apr 2018 21:39:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 5 Jul 2018 08:29:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 05 04:29:30 2018
Received: from localhost ([127.0.0.1]:47210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fazdp-0000mK-UN
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2018 04:29:30 -0400
Received: from mail-pf0-f175.google.com ([209.85.192.175]:40508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fazdo-0000m1-9D
 for 31307 <at> debbugs.gnu.org; Thu, 05 Jul 2018 04:29:28 -0400
Received: by mail-pf0-f175.google.com with SMTP id z24-v6so4740884pfe.7
 for <31307 <at> debbugs.gnu.org>; Thu, 05 Jul 2018 01:29:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:message-id:user-agent
 :mime-version; bh=DHm0gsytDV68o92gcSm131yV2xG8z2nqnAAkyLY/g8o=;
 b=FUhWjIxZWJzZN/HcOd+0h/o82YYTYT4lS810gj9sjEZWwLDGj6fMBHhcGpsms/DtpJ
 jUyhCWxzOqbOyb88uStQyD/l8XlgqMahHRhBUW8GGlZ85uxqUAmqEJ0v0MUdZfFuXPCq
 QGQF+JZdwhztKtwL/TWs4Chpdg5h1ZLIpSFmZ8WxpwE2gYETvEZLHKnKVkKh2Qf8zUrk
 4uJVUCAPpTVkBnzFQFH3lgNAJ/Wn+VKxIL1WSUYcjug8aZCIXIhuiMQLAeFDqtER9JoO
 CLbcvBfINannZD4f6IUQbAk4BFsyGuMC/utLWYuapW+AjzUDYOSBF3iZJfxnF/0uBzRY
 C8zQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :user-agent:mime-version;
 bh=DHm0gsytDV68o92gcSm131yV2xG8z2nqnAAkyLY/g8o=;
 b=RGiUa7ERNFE258gf+wuoO/S620gA87K81HQIHpTTvBb1ZvvWJs/ImTxRg9aOvAE48S
 sME/+jOVJPttZXYcidNoZgBuggHJNzMLu/bS+vTIU0EMnKVeQNU+o930J5jK7hjkG+i9
 xJ3ttiVB0/fygc7IBH+HnocJ+ikDaiIIdgklpP8mnVe0BMyOe8j6CR4ZyNafyFQ8WQZM
 8VHhcfzO3Vo1JMGihLwhBbRodwTa42qgZEkTtSzQsPiDWrOVHf1YlWx1jdAL8gJO+8+Y
 1TRPT2GW26RmelKGSpiCFb/JwKYlgI58H+CSRB1cwjtbr0hdg9k+30eENUxoJFKHCo0D
 fQtA==
X-Gm-Message-State: APt69E1nbxmzp0AuGHrkuJdUpuHnUP/wqSSc0n+LuE+Om1pZ/sF+HQwb
 YOMsfyoJhPf9WbMzAafSyifPGg==
X-Google-Smtp-Source: AAOMgpcJcJFJXxIsVq3nN8GU/PZVhjhANgvN2JfWf2CulcqAO4f4CCBHAOcnk6AgB+yvgiQMztcCqA==
X-Received: by 2002:a63:27c1:: with SMTP id
 n184-v6mr4506609pgn.29.1530779361841; 
 Thu, 05 Jul 2018 01:29:21 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id k68-v6sm10306225pfb.93.2018.07.05.01.29.20
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 05 Jul 2018 01:29:20 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN> <877eohrgeu.fsf@HIDDEN>
 <20180506194444.GB8038@HIDDEN> <8736xoy1dz.fsf@HIDDEN>
Date: Thu, 05 Jul 2018 01:29:16 -0700
Message-ID: <87va9u2ihv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Hello,
>
> Leo Famulari <leo@HIDDEN> skribis:
>
>> I see two different issues here:
>>
>> 1) The project is unmaintained (last release 2016) and the underlying
>> platform (Python 2) will become unmaintained in January 2020.
>>
>> I think these maintenance issues are not a blocker in this case. We
>> package lots of software that has been basically abandoned for longer
>> than MAT. Its source repo saw activity in March. On this subject, we
>> should think about building from HEAD since those new commits will
>> probably never be "released".
>>
>> 2) The software is not guaranteed to achieve its goals.
>>
>> I think the idea of "anonymizing" a file is always going to be
>> manifested as a goal rather than a full solution. No matter the level of
>> upstream maintenance, anonymity can never be guaranteed.
>>
>> So, I think it's okay to add the package with a big warning in the
>> description, maybe even saying something scary like "only recommended
>> for educational and research activity".
>
> Sounds reasonable to me.
>
> Chris, what would you like to do with this package?

If we can resolve the issue with the tests and add a warning to the
package description, I'd be OK with adding it.  However, the tests
currently error out or fail, even though the package builds
successfully.  That's concerning, and I don't feel comfortable adding
the package, even with a warning, until it's been addressed.

I don't have a lot of time to work on this right now.  I will eventually
get around to it, but if somebody wants MAT sooner, please feel free to
take over and do it before I get around to it.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAls91twACgkQ3UCaFdgi
Rp1MtQ//S1xF1wm70TPtPvvpg9DzzaAFxLAwQ2UXtGuv+JJuEZue0qsD5d98XM2C
tYn53rhJxaipe1s3GeFHbWCwlwMWSZnlK8dZu/BCco53AoTew3/C51wchHfqhvZf
ZPSetprCk3aw7WYG8JvDpL0HFQ1kFaSnRq4DZgqown6Lqruf2PdH3SMvGkppc8fS
cw6qzziW3cP03OBLhj57v0D6DzGwrUsiWc+IFihdkE1u9eojKPKC4dh35c12uG1A
WoFGhVdHp0eWzOxyoHWwKxKBuN9HM+e21/1EppefxrhIdldDZGa9P52Ow5QJcDuY
x2/Cv7Iar72VHCBzvTpFAPsd+qCJl4sAntKs+dPawBHXwoTEuwmE9NPWBzburGmf
HZQRNUUER+RrC07iX9OrHBYd+4tlvKasWvrFxbeNaV06k45GiorvuSqvGiAGyDjQ
SCp7mObVdCqSkfRIAO9vI7wBzZHe++CAVcbTXYP6LmB/dzHDW+xaTCB4Rs2qqw1n
YdrboD7nOoaOKs3O5xXX9rldx2pPjHfEt/qodgxnzRwbxSq153bxdi7YBAHEyfLz
4rKd1dVs+m5eUNRKiK72KxLo/QhEWqB2eEXwz4/GAl7FeRNQgTKr62Japtep6DTt
6Wqnzl+b0pvTFykqafkKCXogPNZxl0rWXgS5ieNvLfKMHouLBwA=
=3VAp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 16 Jun 2018 13:42:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 16 09:42:15 2018
Received: from localhost ([127.0.0.1]:51126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fUBT5-00005A-Hl
	for submit <at> debbugs.gnu.org; Sat, 16 Jun 2018 09:42:15 -0400
Received: from static.195.114.201.195.clients.your-server.de
 ([195.201.114.195]:51550 helo=conspiracy.of.n0.is)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1fUBT2-00004t-QU
 for 31307 <at> debbugs.gnu.org; Sat, 16 Jun 2018 09:42:13 -0400
Received: by conspiracy.of.n0.is (OpenSMTPD) with ESMTPSA id 1de9724e
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 16 Jun 2018 13:42:11 +0000 (UTC)
Date: Sat, 16 Jun 2018 13:42:49 +0000
From: Nils Gillmann <ng0@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT, the Metadata Anonymisation Toolkit
 from Boum
Message-ID: <20180616134249.qvmysgxpl2o54u2r@abyayala>
References: <87wowrj9kq.fsf@HIDDEN> <877eohrgeu.fsf@HIDDEN>
 <20180506194444.GB8038@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20180506194444.GB8038@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Chris Marusich <cmmarusich@HIDDEN>, 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Leo Famulari transcribed 2.5K bytes:
> On Sat, May 05, 2018 at 10:33:45PM +0200, Ludovic Courtès wrote:
> > Chris Marusich <cmmarusich@HIDDEN> skribis:
> > > Should we refrain from adding this package simply because the author is
> > > not maintaining it any more?  I'm inclined to say "no", but one also has
> > > to consider whether it is a a good idea to encourage people to use an
> > > unmaintained tool for protecting their privacy/anonymity.  I'm not sure.
> > 
> > It’s risky, indeed.  As time passes it’s likely to have more and more
> > known-but-unfixed security issues, which isn’t great.  Leo, thoughts on
> > this situation?
> 
> I see two different issues here:
> 
> 1) The project is unmaintained (last release 2016) and the underlying
> platform (Python 2) will become unmaintained in January 2020.
> 
> I think these maintenance issues are not a blocker in this case. We
> package lots of software that has been basically abandoned for longer
> than MAT. Its source repo saw activity in March. On this subject, we
> should think about building from HEAD since those new commits will
> probably never be "released".
> 
> 2) The software is not guaranteed to achieve its goals.
> 
> I think the idea of "anonymizing" a file is always going to be
> manifested as a goal rather than a full solution. No matter the level of
> upstream maintenance, anonymity can never be guaranteed.
> 
> So, I think it's okay to add the package with a big warning in the
> description, maybe even saying something scary like "only recommended
> for educational and research activity".

I agree (and hope we won't just drop python-2 in 2020 because that would
be unreasonable).




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 15 Jun 2018 07:06:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 03:06:41 2018
Received: from localhost ([127.0.0.1]:48788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fTioj-0000bn-Gz
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2018 03:06:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fTioi-0000bc-QW
 for 31307 <at> debbugs.gnu.org; Fri, 15 Jun 2018 03:06:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fTioc-0006N2-Vz
 for 31307 <at> debbugs.gnu.org; Fri, 15 Jun 2018 03:06:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58725)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fTioc-0006Mw-S1; Fri, 15 Jun 2018 03:06:34 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=57622 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fTioc-0003DH-Gr; Fri, 15 Jun 2018 03:06:34 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN> <877eohrgeu.fsf@HIDDEN>
 <20180506194444.GB8038@HIDDEN>
Date: Fri, 15 Jun 2018 09:06:32 +0200
In-Reply-To: <20180506194444.GB8038@HIDDEN> (Leo Famulari's message of
 "Sun, 6 May 2018 15:44:44 -0400")
Message-ID: <8736xoy1dz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31307
Cc: Chris Marusich <cmmarusich@HIDDEN>, 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

Leo Famulari <leo@HIDDEN> skribis:

> I see two different issues here:
>
> 1) The project is unmaintained (last release 2016) and the underlying
> platform (Python 2) will become unmaintained in January 2020.
>
> I think these maintenance issues are not a blocker in this case. We
> package lots of software that has been basically abandoned for longer
> than MAT. Its source repo saw activity in March. On this subject, we
> should think about building from HEAD since those new commits will
> probably never be "released".
>
> 2) The software is not guaranteed to achieve its goals.
>
> I think the idea of "anonymizing" a file is always going to be
> manifested as a goal rather than a full solution. No matter the level of
> upstream maintenance, anonymity can never be guaranteed.
>
> So, I think it's okay to add the package with a big warning in the
> description, maybe even saying something scary like "only recommended
> for educational and research activity".

Sounds reasonable to me.

Chris, what would you like to do with this package?

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 6 May 2018 19:44:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 06 15:44:47 2018
Received: from localhost ([127.0.0.1]:51666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFPaR-0004Xg-57
	for submit <at> debbugs.gnu.org; Sun, 06 May 2018 15:44:47 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:52901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1fFPaP-0004XY-9t
 for 31307 <at> debbugs.gnu.org; Sun, 06 May 2018 15:44:45 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 0CC6221C51;
 Sun,  6 May 2018 15:44:45 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 06 May 2018 15:44:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=q1l7Ts31yzJ8gqeiiv/xzfqElIzYL1dppchvHNr03H8=; b=E9/gB
 LaIhVOJHFuC/bOfhU+6ZHhzUXvmpx3+Soiex+J6qcAxuGaEK3HqbBhKyqiQ2DU2m
 P6oCiY6BRocYfEW666ue2WFGuWuS9y3HoFSF47f1GfCCl1lUo/hIjiwDxIuzINDs
 IRt3bJ6kAXnzXse8ul1Jou96dTERdvRRlFlsVM=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=q1l7Ts31yzJ8gqeiiv/xzfqElIzYL
 1dppchvHNr03H8=; b=UCEewDV4SkuVJl85UfpCnNPZl6sfy4f8LfmE7aQlHLFjp
 yIgOagKUbD/YbaJuN/WPVz6uMckOQF4iYfBI9TrMkhezqF3035FwWiiQHCsctD3h
 ZMHnL1zyMycOs/vrAlUhIRX0Vm0qLHUgdETN2wRuYHdSPvMsICs6CSbScR3gTc4A
 GNCaAVDciJEkc3P9TQXxvK6qE1JCDrZfED/pJh6Rx5K2Gp7DOtcvqDV8rXiDlKjx
 FFfX5Ii7xYbrBGHcwS2yo155mNudG8ZTuHM6uJNUppMTZo9sxzOiqFPHCjstXSpg
 K9XQpZ4oyjn0xlR8t1rF+0cf+oAPk/aIeIkxUVLBQ==
X-ME-Sender: <xms:LFvvWibP6aHV4Yx4ltrDhZvOeYzl30hNf3E7RAyIlY_qFS7_hpOY2w>
Received: from localhost (pool-71-105-112-198.nycmny.fios.verizon.net
 [71.105.112.198])
 by mail.messagingengine.com (Postfix) with ESMTPA id BDF78E4921;
 Sun,  6 May 2018 15:44:44 -0400 (EDT)
Date: Sun, 6 May 2018 15:44:44 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT, the Metadata Anonymisation Toolkit
 from Boum
Message-ID: <20180506194444.GB8038@HIDDEN>
References: <87wowrj9kq.fsf@HIDDEN>
 <877eohrgeu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="dTy3Mrz/UPE2dbVg"
Content-Disposition: inline
In-Reply-To: <877eohrgeu.fsf@HIDDEN>
User-Agent: Mutt/1.9.5 (2018-04-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31307
Cc: Chris Marusich <cmmarusich@HIDDEN>, 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--dTy3Mrz/UPE2dbVg
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, May 05, 2018 at 10:33:45PM +0200, Ludovic Court=C3=A8s wrote:
> Chris Marusich <cmmarusich@HIDDEN> skribis:
> > Should we refrain from adding this package simply because the author is
> > not maintaining it any more?  I'm inclined to say "no", but one also has
> > to consider whether it is a a good idea to encourage people to use an
> > unmaintained tool for protecting their privacy/anonymity.  I'm not sure.
>=20
> It=E2=80=99s risky, indeed.  As time passes it=E2=80=99s likely to have m=
ore and more
> known-but-unfixed security issues, which isn=E2=80=99t great.  Leo, thoug=
hts on
> this situation?

I see two different issues here:

1) The project is unmaintained (last release 2016) and the underlying
platform (Python 2) will become unmaintained in January 2020.

I think these maintenance issues are not a blocker in this case. We
package lots of software that has been basically abandoned for longer
than MAT. Its source repo saw activity in March. On this subject, we
should think about building from HEAD since those new commits will
probably never be "released".

2) The software is not guaranteed to achieve its goals.

I think the idea of "anonymizing" a file is always going to be
manifested as a goal rather than a full solution. No matter the level of
upstream maintenance, anonymity can never be guaranteed.

So, I think it's okay to add the package with a big warning in the
description, maybe even saying something scary like "only recommended
for educational and research activity".

--dTy3Mrz/UPE2dbVg
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrvWywACgkQJkb6MLrK
fwjMXxAA3wxbd3p3YneqTzGeYg9kEBH7rbIPi5+3i1W8YASoXs0DAji6pA3mGxll
rhRAE20cn18zlenwyV1MU5mLjgmcgHCwDU+dMxqQFYYHB7++WpuvR3tvYc7ZHGLB
UIaEFkPzCfQ5ppIx9cI1vfIFUJJDkIsS6tI/kjiO2W/FdpHGWDwlSCvDHVeFNeKd
52jNp43K8gpmgsNtddcebkaIkG7Yct4eLUaXaL+aqH/OVmuR9PKMIDB7QlRA9a7z
9FBTfiGUO1ZGM7vAqlgSji4O3+45JlW+mFEELBx0gThFbLt8lfhWyI3QzsPH/i1G
IMKKwGZLXz5IOqdwnL7T0HefjS2BFvvYPDJz5qjTINA2aQuBnqsuZc0G+AeMqo+d
poz8KqAMatJQ9XKN0sqPHo27pGDvJTtYM2kTr6DVl+SugYGJ0Oriw0pzE6VKv3mf
BkleIynRfjUIB2WP0HfAie5bbEJmircDOXtVDVXo+OCafi7UEKaxbnq7ITMWLzto
xBI0WKoCFcZ7G+iOfAXUWvNM8ig65ZmI5RlGayDKiw1rAS6E/Am8RZ4BILAS1fco
JStJvF6FbFqz5x1bhMWNqYzwx7ipreIIBgVt8RfZ1ey4vXCse7CWa9+6JlqnWOWS
XZKAU5xD0L30kYtW5+4v/YggdnXDFn8Pl8VRA2t3KIHYHxP/ukQ=
=uFOO
-----END PGP SIGNATURE-----

--dTy3Mrz/UPE2dbVg--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 6 May 2018 19:26:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 06 15:26:18 2018
Received: from localhost ([127.0.0.1]:51660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFPIY-000471-GR
	for submit <at> debbugs.gnu.org; Sun, 06 May 2018 15:26:18 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:48661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1fFPIW-00046s-7e
 for 31307 <at> debbugs.gnu.org; Sun, 06 May 2018 15:26:16 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id B12CD20DEA;
 Sun,  6 May 2018 15:26:15 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 06 May 2018 15:26:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=8Vh8nEjPNdc6JBZX/FKPth8WlCjLBhVQjS3kDR1ToPs=; b=z4Hh6
 uvw8eZOcYuHjhFA7MAEbjD4wIxHwOpFmDZBD55nxn2jBMSG3SuwxFHMJezRs8miY
 6b0ri8MJpRaOwof/Q33jMRfS1U1lW9HbwNf+nluhmU0OFMnb5qTVySXpDmr+JHxu
 pnvs9K980Z+lWo/u+knNpuhSZekIgyZVvy27LI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=8Vh8nEjPNdc6JBZX/FKPth8WlCjLB
 hVQjS3kDR1ToPs=; b=bUnJawdm49ReA/SACni6N1n1bGnB+04T3Br9OYx+P8JKj
 mN2LlBCdXs/gH8JQ9Af/odSjfgMnHUMwsPz6Htjs8TtavC4dMMj1v+CE4CswF43l
 cWF4L/gEllKSkDrQxxvXFoGDu8uRKw/GNwjVzxnLybXNCct3JJwr7CYbZ+meg5mv
 GfRe8LFhScz3H9UtcKymIJoc3DBo0tSgDtzRtfd6fmJlS7SBs3+ryDCnCGvSi+5q
 E7qwjDRQpy9D+KdQy3QfkQdm5pO3h0YNqVarhBflr6goUjVYYllEgRNE6fDsC+0g
 uxWqvfjbvkG/tGGI0vNf3iFqY7odcIF3SN/3a7YgA==
X-ME-Sender: <xms:11bvWrNHI7kjEpCyhPL6WHM5Ib4uIc9h_KpPGeRyzcQQRQZ_pkq0lQ>
Received: from localhost (pool-71-105-112-198.nycmny.fios.verizon.net
 [71.105.112.198])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5BF1CE4412;
 Sun,  6 May 2018 15:26:15 -0400 (EDT)
Date: Sun, 6 May 2018 15:26:14 -0400
From: Leo Famulari <leo@HIDDEN>
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT, the Metadata Anonymisation Toolkit
 from Boum
Message-ID: <20180506192614.GA8038@HIDDEN>
References: <87wowrj9kq.fsf@HIDDEN> <877eohrgeu.fsf@HIDDEN>
 <87vac1eqch.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="IS0zKkzwUGydFO0o"
Content-Disposition: inline
In-Reply-To: <87vac1eqch.fsf@HIDDEN>
User-Agent: Mutt/1.9.5 (2018-04-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31307
Cc: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--IS0zKkzwUGydFO0o
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Sat, May 05, 2018 at 02:37:34PM -0700, Chris Marusich wrote:
> Upstream clarified in an email [1] that the license is GPLv2.  Also,
> they did explicitly remove the "or any later version" part in the
> README.md file; I just missed that detail at first.  However, there is
> no license embedded in the source files themselves.  In this case, is is
> correct to add this package as GPLv2?

My understanding as a non-expert is that the "or later" is always at the
discretion of the author. So GPLv2 without "or later" is GPLv2, and
that's how we can distribute it.

--IS0zKkzwUGydFO0o
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrvVtYACgkQJkb6MLrK
fwhVPRAA38QTNpSacMH92ojyJY7cSi5P/V+KsaH1bUZM0QxaCoMbA9AFlkXat1a8
+p3liKiMkO3irAMK7p4SAUTXTK7vNWZAfVBHCewkKXlQQwdSv8DIayMM15Jv6AvJ
NsDp+D90JFm/GmJgQw9rntWE7IDMu0scLJ6UxtmAMdbvOcXQ8n69j5IS6SogMqvF
2PTQY4eqGwPfGZKlEsI4GDP/nch3Mnlk02qJ0U+YRQXM0TSLlAUuVF4MXAeW4wKE
m6R/fKMxi2vNLvQpkp0eyWyUXyxtuSMz/tyXa0h4xeZ6AivaW9TJZnSChbW8iyb8
cJVUbxdmmMlISzsv7gKIFkFAB1kgQWJAZdMZMzI+BQck6bppn3oPih+0eepX9yEV
62aLZBSReTNbgpb/7BKzZ1nrG1j1BQTzc2anZdxYY6pHEBLLEyoPw1+weusi8kdJ
rH7IpbKR4qIGqRgGrTi7idkEdypbGZFe2Bop4YsWSxtYcGPWM+Ype0P3z1rqeK0r
NPToBZZftLkRnT74PnY2HAHwE3zBsS/Wz5Ak5FDQB8IdehVyiY7wQDtFdQsAYWb+
dYGW/6yYnbohx1yAicTckWt9Hy3uf5j4tchLR0tTsmtTfs/BJ38K6OuboV2RNXRH
wE+k+qfBGDlMOA/ZlTk5DV4pR4CtLl0T5qAitbJf//8rGybOPOs=
=zQWF
-----END PGP SIGNATURE-----

--IS0zKkzwUGydFO0o--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 5 May 2018 21:37:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 05 17:37:49 2018
Received: from localhost ([127.0.0.1]:50881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fF4sG-00046p-T3
	for submit <at> debbugs.gnu.org; Sat, 05 May 2018 17:37:49 -0400
Received: from mail-pg0-f53.google.com ([74.125.83.53]:46660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fF4sF-00046X-1H
 for 31307 <at> debbugs.gnu.org; Sat, 05 May 2018 17:37:47 -0400
Received: by mail-pg0-f53.google.com with SMTP id z4-v6so17670715pgu.13
 for <31307 <at> debbugs.gnu.org>; Sat, 05 May 2018 14:37:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ciydssqnLALjBO5M6cQo+DBsYBKFsqMa4QGAK0RsYoY=;
 b=RqFZ2K9xvQrbhXkuHesjXj3s+Wo9dCK5dN4YtE49Sb5bnbkld2BWlW5bdKjpg7PaWw
 +fkMRj5jXYovNioe7YUzBWW2NNNT7zX+IyVarMfwklOpVCwjeR7lPkP/i7YwtYIQeYtM
 fCZKB25FycYyZg2i7XGdd9x0Khlg5Sp1y9MqAK7Ry0NCgm2u8gBoF/jjavutq2f6Dzzd
 q0iskk64fzCVoEW05sFvzpixz3Y+hXHxru1hh1U9ew8g56iTRW46iW6oL2xe/dNECZOT
 1MGT1qRXcwcGpJTFqCqeHu6qVzquGN9vH8by3rgET8f1TOCRuVgs6P1Ln3LpeIIazBxS
 V7Ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ciydssqnLALjBO5M6cQo+DBsYBKFsqMa4QGAK0RsYoY=;
 b=p5ijIl5DltZrqmrVZiRQ7+rsjIAonpm26DSjYFQ4osGotNbUAnNpyBkM7lkpSOf5Bo
 VzrKvjHJhTKpEWH5JICrVsBVe7w/t1S2Xp0kaQZ/B8Gx6Wei/ej2mwX651MzydMEofYf
 2CI2B74XEE7dHIiTLpo6Ccwf+pV/MX7NAGr/Iu/M+JO9JGI2KdTyzZbnMVl6uefK4Wws
 juuILQBcscVNE/wU69pkUQZjCWtnGvseND7djm+oklEPn+2f7//D3dqrSLizRchSs2cN
 MTOArX2385JGj9g8w9RhKE1C+eqtWXmNO1mJ/BNQvW9IiKAHS1ALBStf68o91YtRgflJ
 2AWA==
X-Gm-Message-State: ALQs6tCR3QlajrQoKKd9UTwKJWVL4xyG8Ld4GLEJb0fBTStT8JD5MLZy
 UkhNtFOr5KzfPw7BhSSjF9o=
X-Google-Smtp-Source: AB8JxZoc52rGRGrV0cOwUUqhSaZTRvIdkTvTLwL/J327OWcDVYwlfRRA3ffZNGDIeFslxTL+sZodEQ==
X-Received: by 2002:a63:9911:: with SMTP id
 d17-v6mr26482333pge.106.1525556261076; 
 Sat, 05 May 2018 14:37:41 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id 76sm53511731pfm.178.2018.05.05.14.37.39
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 05 May 2018 14:37:39 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN> <877eohrgeu.fsf@HIDDEN>
Date: Sat, 05 May 2018 14:37:34 -0700
In-Reply-To: <877eohrgeu.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 05 May 2018 22:33:45 +0200")
Message-ID: <87vac1eqch.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

>> In addition, I notice that the license is GPL 2, but it seems the author
>> did not specify whether "any later version" can be used.  Therefore, I
>> have listed this as gpl2, instead of gpl2+.
>
> Note that unless authors explicitly removed the =E2=80=9Cor any later ver=
sion=E2=80=9D
> phrase from license headers in source files, we write =E2=80=98gpl2+=E2=
=80=99;
> specifically, Section 9 of GPLv2 reads:
>
>   If the Program does not specify a version number of this License, you
>   may choose any version ever published by the Free Software Foundation.

Upstream clarified in an email [1] that the license is GPLv2.  Also,
they did explicitly remove the "or any later version" part in the
README.md file; I just missed that detail at first.  However, there is
no license embedded in the source files themselves.  In this case, is is
correct to add this package as GPLv2?

Footnotes:=20
[1]  https://mailman.boum.org/pipermail/mat-dev/2018-April/000158.html

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlruJB8ACgkQ3UCaFdgi
Rp3gMRAAlgPHMs+XcELzwaAbALs/Lc2XtswDtcMoXsbjVyYulNRzXcTlwYZZLTct
poVMVhe8rlkFnV5W0jMazeD5Xgb2lADKIANXupKR01wvmfStyMzFD/nMcKBfPbKl
194bBRGe31+EJBCascbhrCBF+fE4P8AYgRVdDL5cuemUBDtH9kLHZxhLch4MT+Xj
d/Twc9sPfqdZbEs0OZhg8S5Z5SjqGzKWAhOefcSGvgw0tELPDKJm5e7RR88PI/D9
g95rzvWG77pHCDflU1bdgZTb+kMjQdPpCNU/OS8/OB8kzrpk/IPktYvJQJXETuiw
2hM3wogbOaafLlHE+6t7JIN6ID0FY7/Vhi62hyKuWZ87OioUMvS9Ln8ewprPpJYu
iHzqeKJCkQ3IDmeGhFDmckSv0pbI5SgQDN+zqGEZ7KAqZCAtHSpLk5ATv/utvBvK
rOHRrU4Qe2GyUd5lZMs3EH3qH5+dffK20uHxa7F5c048JvlmXwBpgHVbRLqw8LnS
GJF2YZbqzgpbRKzQWj+KpdhstblIj7/lXcxew/opJBeJuo7Zbo+YpGhZv4WKHthZ
49mlXn5blndPMSLdPB9SNn7JcW95J/VoW9Jje80ZEXwEBmT41WAo9we9JPqZX7MU
jWTTRY+uo7qYad37LWWL7fE38xXEB7lJAts2lzw6g40ciHX12co=
=MCvH
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 5 May 2018 20:33:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 05 16:33:49 2018
Received: from localhost ([127.0.0.1]:50865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fF3sL-0002Wv-Mv
	for submit <at> debbugs.gnu.org; Sat, 05 May 2018 16:33:49 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:53756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fF3sL-0002Wp-1f
 for 31307 <at> debbugs.gnu.org; Sat, 05 May 2018 16:33:49 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 6B04B1F954;
 Sat,  5 May 2018 22:33:48 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 9pEnP9-RGQD9; Sat,  5 May 2018 22:33:47 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id B754D2C199;
 Sat,  5 May 2018 22:33:46 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN>
Date: Sat, 05 May 2018 22:33:45 +0200
In-Reply-To: <87wowrj9kq.fsf@HIDDEN> (Chris Marusich's message of "Sat, 28
 Apr 2018 14:38:13 -0700")
Message-ID: <877eohrgeu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello Chris,

Chris Marusich <cmmarusich@HIDDEN> skribis:

> Should we refrain from adding this package simply because the author is
> not maintaining it any more?  I'm inclined to say "no", but one also has
> to consider whether it is a a good idea to encourage people to use an
> unmaintained tool for protecting their privacy/anonymity.  I'm not sure.

It=E2=80=99s risky, indeed.  As time passes it=E2=80=99s likely to have mor=
e and more
known-but-unfixed security issues, which isn=E2=80=99t great.  Leo, thought=
s on
this situation?

> In addition, I notice that the license is GPL 2, but it seems the author
> did not specify whether "any later version" can be used.  Therefore, I
> have listed this as gpl2, instead of gpl2+.

Note that unless authors explicitly removed the =E2=80=9Cor any later versi=
on=E2=80=9D
phrase from license headers in source files, we write =E2=80=98gpl2+=E2=80=
=99;
specifically, Section 9 of GPLv2 reads:

  If the Program does not specify a version number of this License, you
  may choose any version ever published by the Free Software Foundation.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 2 May 2018 06:11:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 02 02:11:58 2018
Received: from localhost ([127.0.0.1]:46333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fDkze-0005EY-CO
	for submit <at> debbugs.gnu.org; Wed, 02 May 2018 02:11:58 -0400
Received: from static.195.114.201.195.clients.your-server.de
 ([195.201.114.195]:50142 helo=conspiracy.of.n0.is)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1fDkzc-0005EP-5d
 for 31307 <at> debbugs.gnu.org; Wed, 02 May 2018 02:11:57 -0400
Received: by conspiracy.of.n0.is (OpenSMTPD) with ESMTPSA id dd1427d5
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Wed, 2 May 2018 06:11:55 +0000 (UTC)
Date: Wed, 2 May 2018 06:12:24 +0000
From: Nils Gillmann <ng0@HIDDEN>
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT, the Metadata Anonymisation Toolkit
 from Boum
Message-ID: <20180502061224.ob4bjgbbme2jvrfc@abyayala>
References: <87wowrj9kq.fsf@HIDDEN>
 <20180428221104.dd4aoulvdk4zxhvu@abyayala>
 <87muxmzp1b.fsf@HIDDEN> <87lgd21trg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87lgd21trg.fsf@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org, Nils Gillmann <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Chris Marusich transcribed 1.7K bytes:
> Chris Marusich <cmmarusich@HIDDEN> writes:
> 
> > We'll see what they say!
> 
> Upstream has confirmed that the license is GPLv2:
> 
> https://mailman.boum.org/pipermail/mat-dev/2018-April/000158.html
> 
> They also confirmed the following:
> 
> * MAT is not actively maintained and doesn't run under Python 3.
> 
> * MAT2 is under development.
> 
> * MAT has some known limitations, "like leaving metadata in file
> embedded in PDF, like images."
> 
> That said, even upstream said that we should go with MAT, since there is
> no known better alternative, and later we can switch to MAT2.  I think
> we should add it, without worrying about making the GUI work, and we
> should add these warnings to the package description.
> 
> Thoughts?

Okay for me.

> -- 
> Chris






Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 2 May 2018 06:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 02 02:01:02 2018
Received: from localhost ([127.0.0.1]:46329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fDkp4-0004zp-AJ
	for submit <at> debbugs.gnu.org; Wed, 02 May 2018 02:01:02 -0400
Received: from mail-pf0-f174.google.com ([209.85.192.174]:33379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fDkp2-0004zE-Lr
 for 31307 <at> debbugs.gnu.org; Wed, 02 May 2018 02:01:01 -0400
Received: by mail-pf0-f174.google.com with SMTP id f20so2064906pfn.0
 for <31307 <at> debbugs.gnu.org>; Tue, 01 May 2018 23:01:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Hs89dk3ww7jM6rTyo3FL7f8zkT4bLve6GwjRVOW4ESA=;
 b=blHgB9PhFS4oU+YMv7gDCLqiIP4H+909/WjKP9/Y43c5u5pW7a6vQeL/12L9vLWOrV
 UsbAax09kmKs4g1I1+5exlaY4obvi7CjbGjUn7iNsPpc9Jj6uxu+uRb1kYkHjr1Va/is
 eEnOkKtSAHbsi5u2QdNOpSOakwaj0/hVDWyjIwe/VxzTJgZQq7zqgTWKN22Q4x4Ea320
 25JD4FzQ88NMUyGMTZoVmaVLqYJGhgk1GZAeL9za8zpuPN87Hcf7hl4jvGTlqPFDcP8C
 bMCv1r8QPPlBHIffPcLNVB55Ztfn46NELHLA4aRivfAW6Sjx0xBV1P1ZAot0lzQ8W/VQ
 kDLg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Hs89dk3ww7jM6rTyo3FL7f8zkT4bLve6GwjRVOW4ESA=;
 b=WQzB9/UeVCxlK8m8Y2eo2DLJMoYn3vCQ5LLQlvkSJha0q1rfzN5K/ZGD3EBzcou292
 LHnT9slRclF99UkEdbGlm+h4EDN7GMOLcC4RjVha3aAz1LcjE+yRwKBQKKNniDQT6dks
 PF42fT/NWKfkYD4wnKeA60acCzBh8tb/zRBEkvHpZ8JWEK8OcGwdhU5BVPSCuXNI2QEI
 Zs1HRLeO4rdAPCGyVTV7KLCRuikO01WmeN7MetDK/ma/OIEIT64igVjYOG0gfD3bv5U8
 49b80GtyhzoDgSvDoAsXpQOFqvX7drzgxOzOv4DOZJtB3M+8tk23767jxWzYYVK74yRW
 J36Q==
X-Gm-Message-State: ALQs6tAk40QzX/PYuT6gHBUzA78NU37zqzqchYGmvb+gzPtpgKZvVzTt
 GiHkoXXm53oGWL5NkvRqaFpiyA==
X-Google-Smtp-Source: AB8JxZoyZXGpDrghygRS9J0CjadAZ3FGmOfXMgNj4w8SdMlG9A4hgE7IG2Fg9dJBeLNbHyJ9YEFoYg==
X-Received: by 2002:a65:5d0f:: with SMTP id
 e15-v6mr15400913pgr.119.1525240854426; 
 Tue, 01 May 2018 23:00:54 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id a4sm24608608pfj.107.2018.05.01.23.00.52
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 01 May 2018 23:00:53 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Nils Gillmann <ng0@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN>
 <20180428221104.dd4aoulvdk4zxhvu@abyayala> <87muxmzp1b.fsf@HIDDEN>
Date: Tue, 01 May 2018 23:00:51 -0700
In-Reply-To: <87muxmzp1b.fsf@HIDDEN> (Chris Marusich's message of "Sat, 28
 Apr 2018 20:09:52 -0700")
Message-ID: <87lgd21trg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Chris Marusich <cmmarusich@HIDDEN> writes:

> We'll see what they say!

Upstream has confirmed that the license is GPLv2:

https://mailman.boum.org/pipermail/mat-dev/2018-April/000158.html

They also confirmed the following:

* MAT is not actively maintained and doesn't run under Python 3.

* MAT2 is under development.

* MAT has some known limitations, "like leaving metadata in file
embedded in PDF, like images."

That said, even upstream said that we should go with MAT, since there is
no known better alternative, and later we can switch to MAT2.  I think
we should add it, without worrying about making the GUI work, and we
should add these warnings to the package description.

Thoughts?

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlrpVBQACgkQ3UCaFdgi
Rp3HSw/8DY9tTAJMOpnjzTf3ONh+4mOGd/j5kXlB+YjG4kkKkemKKAqj5ctXFLOp
ejCLu2P0710GrLx8f7t4kU5D/A4NC0AyycccSDo6ENc7T33hphopUDAQCUFZFVqs
0jmmzCFflp8WsjRmi9OjyEwmqIBgZGuFf1/dmr7hODxg7TjF6bRmrHRiNwqIN2LX
LkyMQGoTIv7652vkUAOuOca8f95xmmC67AFOfdqiHU8YJIxp0ene6x9lo8tOTuOk
Vcj08gIvNTovuV1pRJOucmFoPdT9Q6jWPi+JRNkNp6p72I4cVicJfgx2dbB34v3i
mMwRnpXaoKYs6+b4s+TxZg7I/zPrVOH2cBTbng1g3UXAl9gZgSi2Bw0tHnH3Ncz5
RSzRDWk7Lnsyv4FBiRlCNoeuaLufIFl3eyEMGv+rKCOIi+XNagDmT5eklJOHz9U9
udTTQ9BrEKEA3JGsL5urpIMxQxEVdxTX39Xy6ETHR5FnVmun2PM9GwAqeZI4OFbm
gmR/AROxBhM7WdxyZrEUJGYyg9rwqFwkhB1gS8T0xd1boeKCMlV+C0iVKUZfjMO6
HEqpgmPEURm8RZM7G/1Jb7b/fH+yPmAJ2o4vtV1uj7ZBhv2UIBvoLe1JJXSp7FXk
PNzcBMBjBnwkIZGGD57TPDzPR4IrDl0QtZd+F/Ff98JbhmVxDUs=
=bQyW
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 29 Apr 2018 08:18:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 29 04:18:27 2018
Received: from localhost ([127.0.0.1]:42480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fChXL-0004IR-PF
	for submit <at> debbugs.gnu.org; Sun, 29 Apr 2018 04:18:27 -0400
Received: from mail-pg0-f49.google.com ([74.125.83.49]:36730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fChXJ-0004ID-Gz
 for 31307 <at> debbugs.gnu.org; Sun, 29 Apr 2018 04:18:22 -0400
Received: by mail-pg0-f49.google.com with SMTP id z129-v6so201378pgz.3
 for <31307 <at> debbugs.gnu.org>; Sun, 29 Apr 2018 01:18:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:message-id:user-agent
 :mime-version; bh=0jTo+FLvYMTL5QxYe+iIGfOeuECqAklFnKZImKHsaqc=;
 b=MyPeiu20PrO05ikoyEUCixcHjfyI4K9SAb+oAS6T9JwTQ6aST2YsmpQ84lM8VI7f/p
 QIZpdCkCjMCevHzcEJSJJV4ESv70vDkZCoeYgysFA9kW5qxp1PEJpI16XLpq1lj2EOz/
 J/gNBaQrdWmup6uTrJa3sBFU5Mg043LH5fA4WPbl+1eJmJ38MPMkxChE9Z1pkTx1ZwVq
 php5LJhyujwX/ZY8a375uGc+pKzAxgylRy1r8OrJRobHMd30oQfzZ3R0X4L5456VUn3Y
 cdNvI3kUbHCGpUetP9mPDusl8XvYJtK8fUJaCcv7So4llM5zMoMjPTyz8Uid4xdGPFda
 4yrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :user-agent:mime-version;
 bh=0jTo+FLvYMTL5QxYe+iIGfOeuECqAklFnKZImKHsaqc=;
 b=IB+5neMs3ZBymhakEw8BOCl31veSYqcLAHhxnYeQ4sqPImMUNewTKO7DcBs0Fs+6XH
 3y+6jwPrLADmbZVRhfZxeEYFW4wS+gjW56pgcMpfhK+MP5Jax9u7bYhd+mlPrnZ+rKvc
 smgJmZwT+WXcYMQKbMx6bVNC5d9k2PCtpFet5Mrll5CKmDOHegs0gU+WlnH0x5JTzotZ
 PE33gENpws0F68U8uamssgwYnc8DV/7bwpMgMJeYSb/w/+g2+KUsm4qQT522RAoHi8Jk
 iYHKJ3KpjrHXGz/kX8tXQQuzPrTfd9qFQthf7g6+t+nI4lDXzQKUKoiflvz9QwQmU5lc
 zkMg==
X-Gm-Message-State: ALQs6tDpORSds1eMAS1FjTLq9SKrUdWk3iJPhuM45rLM4ebpubkd029a
 NNDrmnjMKhtk3vCJ7sfQ++/BqQ==
X-Google-Smtp-Source: AB8JxZpDDv2vaIBunyTxuE5ofTO5foelx0KscP4A14KsmgvbJgguBfRO83XyPivntFTBWMJO/YVZBg==
X-Received: by 10.98.64.130 with SMTP id f2mr8131819pfd.83.1524989894866;
 Sun, 29 Apr 2018 01:18:14 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id q17-v6sm7479715pgt.70.2018.04.29.01.18.13
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 29 Apr 2018 01:18:13 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Nils Gillmann <ng0@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN>
 <20180428221104.dd4aoulvdk4zxhvu@abyayala> <87muxmzp1b.fsf@HIDDEN>
Date: Sun, 29 Apr 2018 01:18:12 -0700
Message-ID: <877eoqzarf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Chris Marusich <cmmarusich@HIDDEN> writes:

Here's a new patch that fixes a few more things (but not the -b bug).

I noticed that when MAT's tests ran, out of 33 tests total, there were 3
failures, and 8 errors.  Curiously, this did not cause the build to
fail.  The 3 failures have something to do with not being able to
process a .docx file.  The 8 errors seem to occur because a variable
"current_file" in the test has an unexpected value (None).  If we decide
to add this package, we should probably fix or disable the tests and
find out why the test failures did not cause the build to fail.

I attempted to get MAT's GUI component working, but I was unsuccessful.
To build the GUI component, it seems we would first need to add Python
bindings for libpoppler, such as python-poppler [1], and python-poppler
can't be built without some extra love and patches [2][3].

Footnotes:=20
[1]  https://launchpad.net/poppler-python

[2]  https://bugs.launchpad.net/poppler-python/+bug/1528489

[3]  https://gitweb.gentoo.org/repo/gentoo.git/tree/dev-python/python-poppl=
er

=2D-=20
Chris

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=0001-gnu-Add-python2-mat.patch
Content-Transfer-Encoding: quoted-printable

From=203060d99c1d23287f2090720c669f974cf9b451a5 Mon Sep 17 00:00:00 2001
From: Chris Marusich <cmmarusich@HIDDEN>
Date: Sat, 28 Apr 2018 14:03:47 -0700
Subject: [PATCH] gnu: Add python2-mat.

* gnu/packages/photo.scm (python2-mat): New variable.
=2D--
 gnu/packages/photo.scm | 71 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 2c0c2313f..18dce878e 100644
=2D-- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -6,6 +6,7 @@
 ;;; Copyright =C2=A9 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Leo Famulari <leo@HIDDEN>
+;;; Copyright =C2=A9 2018 Chris Marusich <cmmarusich@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,6 +27,7 @@
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system perl)
+  #:use-module (guix build-system python)
   #:use-module (guix download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -52,6 +54,7 @@
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages man)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages music)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages popt)
@@ -521,3 +524,71 @@ workflow by facilitating the handling of large numbers=
 of images.  Most raw
 formats are supported, including Pentax Pixel Shift, Canon Dual-Pixel, and=
 those
 from Foveon and X-Trans sensors.")
     (license license:gpl3+)))
+
+;; TODO: Add inputs for PDF support (e.g., Poppler bindings, python-pdfrw).
+;; TODO: Add inputs for GUI support (e.g., gi - maybe gi is python-gobject=
?).
+(define-public python2-mat
+  (package
+    (name "python2-mat")
+    (version "0.6.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://mat.boum.org/files/mat-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1faiiq7cjspafjjf4kmm7bbn8m506qgcijbizpgdvlaaapdyg0h7"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:python ,python-2
+       #:use-setuptools? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'patch-source-shebangs 'fix-paths
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((share (string-append
+                           (assoc-ref outputs "out") "/share"))
+                   (exiftool (string-append
+                              (assoc-ref inputs "perl-image-exiftool")
+                              "/bin/exiftool"))
+                   (shred (string-append
+                           (assoc-ref inputs "coreutils") "/bin/shred")))
+               (substitute* (find-files "." "\\.py$")
+                 ;; MAT tries to find things in /usr/local/share and
+                 ;; /usr/share.  However, the things it's looking for are
+                 ;; actually in the /share directory of its output, instea=
d.
+                 (("'/usr(/local)?/share")
+                  (string-append "'" share))
+                 (("'exiftool'")
+                  (string-append "'" exiftool "'"))
+                 (("'g?shred'")
+                  (string-append "'" shred "'")))
+               #t))))))
+    (propagated-inputs
+     `(("python2-pycairo" ,python2-pycairo)
+       ("python2-mutagen" ,python2-mutagen)
+       ("perl-image-exiftool" ,perl-image-exiftool)))
+    (native-inputs
+     `(("python2-distutils-extra" ,python2-distutils-extra)
+       ("intltool" ,intltool)))
+    (synopsis "Anonymize/remove metadata from files")
+    (description
+     "MAT (Metadata Anonymisation Toolkit) is a toolbox composed of a GUI
+application, a CLI application and a library, to anonymize/remove metadata
+from files.  It supports the following file formats:
+
+@itemize @bullet
+@item Portable Network Graphics (.png)
+@item Joint Photographic Experts Group (.jpg, .jpeg, etc.)
+@item Tagged Image File Format (.tif, tiff, etc.)
+@item Open Documents (.odt, .odx, .ods, etc.)
+@item Office OpenXml (.docx, .pptx, .xlsx, etc.)
+@item Portable Document Fileformat (.pdf)
+@item Tape Archives (.tar, .tar.bz2, etc.)
+@item Moving Picture Experts Group (MPEG) (.mp3, .mp2, .mp1, etc.)
+@item Ogg Vorbis (.ogg, etc.)
+@item Free Lossless Audio Codec (.flac)
+@item Torrent (.torrent)
+@end itemize")
+    (home-page "https://mat.boum.org")
+    (license license:gpl2)))
=2D-=20
2.17.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlrlf8QACgkQ3UCaFdgi
Rp0zlw//elnTcVyI+ckCYn2x94lqtVum83Lr2pSI7cUafuVGF8qQlNxo2Pbnohqx
ZDzH5LCMBqIThRAVkN9NMYbfrhZmj8piU5lSmBdZjKK4Kpuf4EtgZo5NpLb/RVQn
3JqiUSG+MJfn6hO9zImd8skNb36hjZFrbFOqMoU9TddbfxtXjmeS+QTe201ZKkHW
MCAxhjwWSErhAHgwxfO+AaBwENbzVnnpH2t0d/zlHHLC+rsotpc9/ZtdZ9NEoTlj
Z0XPyAswoqcDN4bui1fxerx+vbYX0dCxwG2bgVbCa/ruAJqoS0L4ZlVgpWTntoU2
5N7rs7GDdS5stKMgCxye6yKwm83b1DJGs0e0dsdLDRYQ9PFB85G7LlQUCGns6AuQ
7F1cg+eCrMZroqlUHwqYSAWPigG/XNVrVA9PFiAFC5ZP8Si2DhO8PAT2V5yO2hCR
1tckMzgbV/r++j/9gNCwYrkx4tmhVdgvGGa9LzwOnQPARds3u/HwWCIanxdq/H+r
XqwwkHYDi8Z847TvtZZkAj26v8I1C82eJkK40DGmjRGSS5mBGHg0UlTsBU8jxfhf
gYuXwZ9w3Ze7T8IxNwyoFfRqmiwDWapOTao9eaHIui4ZoX270aAwIoGIxIx4vM+O
08+ar3qiHBcZxk9qeXR5R9feYpoSKR8QDWopqnE7msdOHHphkiE=
=fahS
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 29 Apr 2018 03:10:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 28 23:10:22 2018
Received: from localhost ([127.0.0.1]:42434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCcjB-0005Ru-OA
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 23:10:22 -0400
Received: from mail-pf0-f170.google.com ([209.85.192.170]:36110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fCcjA-0005Ri-9c
 for 31307 <at> debbugs.gnu.org; Sat, 28 Apr 2018 23:10:17 -0400
Received: by mail-pf0-f170.google.com with SMTP id g14so4263048pfh.3
 for <31307 <at> debbugs.gnu.org>; Sat, 28 Apr 2018 20:10:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=kvxelo4/4q04ejezlul78sBw0IMMuLpysVU/2iVZFEk=;
 b=iGSYlO2hEtrMZWBNMwg4Xd0APTMwMnq8XBzcKwax5Hh2IifLf3jkdTbCeZeVehCytm
 CtRGiFpjF2AmGhqHoeVki+wE429tWQhny3Jba+a42KQwqgTTuMqwN7cT8nCRPiyHBKnS
 pP+y3QOLQz+TQt0jKpOfAU/CxhqNebJs8uzW83o36zyaUabSHT98YDgCGmgkCa1gSFYS
 SZRtHTlwpwxpb6hZg/c7J8AlVAGvRWSNAojyZoREJZ2+LKaUku8eUNHej5BzBqdZWNar
 vT6mxQZTh/cavVMaYRbeL41ZFX8LZof0bwevzfqUFtqGo0Xry+kTYYicYdqttSo70KMI
 kz2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=kvxelo4/4q04ejezlul78sBw0IMMuLpysVU/2iVZFEk=;
 b=OqkeBxKYi4qci7cO5HAQ8+GAqhidysH+sOXjCIMKRn7CoYnv/pjcNZV0CfABhi9JT2
 bM0sVNlEQDKnkL6nkg7tuyznvPvDMfn11pNP6EbRXAqbRhckxqtQxERd9DOM7geOzBAt
 23YXUaZ8K3dYsQyf61zsNYafWDLkDEImEupYgIVH65YyBfEBBl7zTSU/XqGhrV1MlBrj
 +jTF3FRgRkqfvBKO5qpwX61CwFK4r34+VjIX7JfSOUsZ6mGI1GV9lKltT0stzkB/2TXZ
 EuzaGtv8T3QNtFrJ86ikHr2agH8MOHTKSOrJZTvEsWJwLcdQm8/6g9IlHIJ/VSjdYlyH
 rGPA==
X-Gm-Message-State: ALQs6tCo4Yt4sz79W0xXG7Lbw5hf0NpKxXf8rgNcFz0cQ7UV2HVP0qsR
 O33jODHnYlVNOm7ZSAOimJZsQGz7
X-Google-Smtp-Source: AB8JxZpWtbVlFv9+eiX3eWxSRXuH844c4IgGalU2dV15PtA4pQfgtS548bLLLdhgFzHo2Rjdwopl0Q==
X-Received: by 2002:a17:902:6ac7:: with SMTP id
 i7-v6mr7660922plt.374.1524971409591; 
 Sat, 28 Apr 2018 20:10:09 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id v187sm9695086pfv.21.2018.04.28.20.10.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 28 Apr 2018 20:10:08 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Nils Gillmann <ng0@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT,
 the Metadata Anonymisation Toolkit from Boum
References: <87wowrj9kq.fsf@HIDDEN>
 <20180428221104.dd4aoulvdk4zxhvu@abyayala>
Date: Sat, 28 Apr 2018 20:09:52 -0700
In-Reply-To: <20180428221104.dd4aoulvdk4zxhvu@abyayala> (Nils Gillmann's
 message of "Sat, 28 Apr 2018 22:11:04 +0000")
Message-ID: <87muxmzp1b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Nils Gillmann <ng0@HIDDEN> writes:

>> In addition, I notice that the license is GPL 2, but it seems the author
>> did not specify whether "any later version" can be used.  Therefore, I
>> have listed this as gpl2, instead of gpl2+.
>
> The tails people (iirc it is a tails project, who are hosted on boum.org =
infra)
> are generally okay with questions, I think you should ask about wether
> it's GPL2 or GPL2+.
>
> We could also ask them about the state of MAT, as once upon a time they u=
sed to
> include it in Tails. No idea if they stil do.

I've sent an email to tails-dev@HIDDEN  I Cc'd you on it.  I wasn't
sure if the people of the tails-dev@HIDDEN email list would appreciate
it if I arranged for their replies to automatically be recorded in our
bug tracker, so I opted not to Cc this bug report on the email.

We'll see what they say!

>> +;; TODO: Add inputs for PDF support (e.g., Poppler, python-pdfrw).
>> +;; TODO: Add inputs for GUI support (e.g., gi).
>> +;; TODO: Fix some hard-coded paths.  For example, get_datafile_path emb=
eds
>> +;; paths like "/usr/local/share/mat", which we should probably rewrite =
so that
>> +;; they point to mat's output directory in the store.  This specific ex=
ample
>> +;; causes "mat --list" to fail with an exception.
>
> I'm all for making it less hard for a package to get initially into Guix,=
 but
> shouldn't at least hardcoded paths that make an often used function(?) be=
 fixed
> first? On the other hand it is functional as you wrote.

I've fixed this in the latest patch version (see attached)!

While testing, I also discovered that the -b feature of the CLI tool
does not work because of what appears to be a simple bug in MAT.  I
suppose I will report that upstream if they get back to me and they're
still maintaining it.

>> +(define-public python2-mat
>> +  (package
>> +    (name "python2-mat")
>
> Since people will expect this as "MAT" or "mat" and not "python2-mat", an=
d to my
> knowledge there is no python3 variant, we should name it just mat.

On this topic, the precedent goes both ways, and I haven't seen any
guidance yet on the email lists or in the manual.  For example, see
packages like awscli, python2-s3cmd, jupyter, and python-ansi2html.

I think that if a package provides only an application, it makes sense
to give it a name without the "python" or "python2" prefix.  However, if
the package provides a library, or it provides a library in addition to
an application, then I think it's better to refer to it using the
"python" or "python2" prefix, as described in the section titled "Python
Modules" in the Guix manual.  I also think this aligns with Guix's trend
towards (usually) keeping libraries in the default "out" output of a
package, rather than putting libraries in a separate "lib" output or a
separate "devel" package.

=2D-=20
Chris

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=0001-gnu-Add-python2-mat.patch
Content-Transfer-Encoding: quoted-printable

From=20c34de8c711b9a61b43a003ebf44423a2af6138a4 Mon Sep 17 00:00:00 2001
From: Chris Marusich <cmmarusich@HIDDEN>
Date: Sat, 28 Apr 2018 14:03:47 -0700
Subject: [PATCH] gnu: Add python2-mat.

* gnu/packages/photo.scm (python2-mat): New variable.
=2D--
 gnu/packages/photo.scm | 64 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 2c0c2313f..79bb0f58b 100644
=2D-- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -6,6 +6,7 @@
 ;;; Copyright =C2=A9 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Leo Famulari <leo@HIDDEN>
+;;; Copyright =C2=A9 2018 Chris Marusich <cmmarusich@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,6 +27,7 @@
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system perl)
+  #:use-module (guix build-system python)
   #:use-module (guix download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -52,6 +54,7 @@
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages man)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages music)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages popt)
@@ -521,3 +524,64 @@ workflow by facilitating the handling of large numbers=
 of images.  Most raw
 formats are supported, including Pentax Pixel Shift, Canon Dual-Pixel, and=
 those
 from Foveon and X-Trans sensors.")
     (license license:gpl3+)))
+
+;; TODO: Add inputs for PDF support (e.g., Poppler, python-pdfrw).
+;; TODO: Add inputs for GUI support (e.g., gi).
+;; TODO: Fix some hard-coded paths.  For example, get_datafile_path embeds
+;; paths like "/usr/local/share/mat", which we should probably rewrite so =
that
+;; they point to mat's output directory in the store.  This specific examp=
le
+;; causes "mat --list" to fail with an exception.
+(define-public python2-mat
+  (package
+    (name "python2-mat")
+    (version "0.6.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://mat.boum.org/files/mat-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1faiiq7cjspafjjf4kmm7bbn8m506qgcijbizpgdvlaaapdyg0h7"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:python ,python-2
+       #:use-setuptools? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'patch-source-shebangs 'patch-absolute-paths
+           (lambda* (#:key outputs #:allow-other-keys)
+             ;; MAT tries to find things in /usr/local/share and /usr/shar=
e.
+             ;; However, the things it's looking for are actually in the
+             ;; /share directory of its output, instead.
+             (substitute* "libmat/mat.py"
+               (("(\"|')/usr(/local)?/share" _ quote-mark)
+                (string-append
+                 quote-mark (assoc-ref outputs "out") "/share"))))))))
+    (propagated-inputs
+     `(("python2-pycairo" ,python2-pycairo)
+       ("python2-mutagen" ,python2-mutagen)
+       ("perl-image-exiftool" ,perl-image-exiftool)))
+    (native-inputs
+     `(("python2-distutils-extra" ,python2-distutils-extra)
+       ("intltool" ,intltool)))
+    (synopsis "Anonymize/remove metadata from files")
+    (description
+     "MAT (Metadata Anonymisation Toolkit) is a toolbox composed of a GUI
+application, a CLI application and a library, to anonymize/remove metadata
+from files.  It supports the following file formats:
+
+@itemize @bullet
+@item Portable Network Graphics (.png)
+@item Joint Photographic Experts Group (.jpg, .jpeg, etc.)
+@item Tagged Image File Format (.tif, tiff, etc.)
+@item Open Documents (.odt, .odx, .ods, etc.)
+@item Office OpenXml (.docx, .pptx, .xlsx, etc.)
+@item Portable Document Fileformat (.pdf)
+@item Tape Archives (.tar, .tar.bz2, etc.)
+@item Moving Picture Experts Group (MPEG) (.mp3, .mp2, .mp1, etc.)
+@item Ogg Vorbis (.ogg, etc.)
+@item Free Lossless Audio Codec (.flac)
+@item Torrent (.torrent)
+@end itemize")
+    (home-page "https://mat.boum.org")
+    (license license:gpl2)))
=2D-=20
2.17.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlrlN4AACgkQ3UCaFdgi
Rp2nwA/9GZt8lX+00IC95CPBlC5JF9HR/OOndoG4Zgvmkax29Il+MgP2lJY1wJer
AicDV/w043BUt9sGX7Z9BrN/MgCYkRasKA7uuOlMF8jPZgpmkheuV/YhgaIThkm/
v+PTagrVHvxzygDCRAclfBuhDCs7ycJA9AJP0khEqT+Y3hmj8cv6y8W3M/3v2Dnp
0Y6xq8bvJXgIpgGJ1Qs3mEBKRNtrets8tbofsQtDR/qRL2K1kXlE/rZ0nUvQbiU3
OZlZRJKzPSPObzL3Lt1OAlL7NWOUUxLUx7L5WB/+lgxJL4E23KUxIPALQIzCcGkB
XczulI0HHD0ZLkI/HHt5LiZj7mAEsiGZ2uRWWs8d0CtRMyDzj1L519TpQbVty4K3
DwVODu1uaSZiYG3CwEdGW5jGZZosOtBhTrOgsAvIbycGew5EU/qr7k5hxT8ZAPEe
BKeMs4zij38wRayo2cHrxvMzCtQfAaXtRZWPRcmlJgTpWJLcK6N7KfQRemQOfV+U
BGj8mHWijSpGrbRkx0XADHdI5aHn1YbObjSXqN5laJid5zywtAw4gYtQMFiV+v7o
aavMqt0MeUAFiFcJgmSjnY1Cz/RjBtU91CzkW+QH8EiMpvW4SLgCg6VxmKl8f7Qj
IytRBtsYIP86dnQ0Gfq5QTNFAnD7dvH6cm+yk23RPmBmtmkzuUI=
=GDed
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at 31307 <at> debbugs.gnu.org:


Received: (at 31307) by debbugs.gnu.org; 28 Apr 2018 22:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 28 18:10:44 2018
Received: from localhost ([127.0.0.1]:42355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCY3H-0004wG-My
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 18:10:44 -0400
Received: from static.195.114.201.195.clients.your-server.de
 ([195.201.114.195]:58592 helo=conspiracy.of.n0.is)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1fCY3E-0004w6-PC
 for 31307 <at> debbugs.gnu.org; Sat, 28 Apr 2018 18:10:42 -0400
Received: by conspiracy.of.n0.is (OpenSMTPD) with ESMTPSA id d537559f
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 28 Apr 2018 22:10:37 +0000 (UTC)
Date: Sat, 28 Apr 2018 22:11:04 +0000
From: Nils Gillmann <ng0@HIDDEN>
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: [bug#31307] [PATCH] Add MAT, the Metadata Anonymisation Toolkit
 from Boum
Message-ID: <20180428221104.dd4aoulvdk4zxhvu@abyayala>
References: <87wowrj9kq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87wowrj9kq.fsf@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31307
Cc: 31307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Chris Marusich transcribed 5.9K bytes:
> Hi Guix,
> 
> This patch adds MAT, the Metadata Anonymisation Toolkit from Boum.  I've

Nice! This one has been a "low-hanging fruit" on my roadmap for a very long time.
Good to see it.

> successfully used its CLI tool to purge metadata from JPEG image files;
> I verified using exiftool that it works for this purpose.  However, not
> all of its features work (see the TODO for details), and more
> importantly, the website says people shouldn't use it.  For these
> reasons, I'm not sure if we should add it, so I'd like to ask for your
> opinion.
> 
> The author state on their website:
> 
>   https://mat.boum.org/
> 
>   Current status
> 
>   The MAT maintenance and development is currently on hold, mostly for
>   health reasons. I might go back to it at some point in the future.
> 
>   The current version might have bugs, and doesn't work on Python3: Please
>   avoid using it.
> 
> However, packages exist for some distributions.  For example, here's a
> MAT package for Debian:
> 
>   https://packages.qa.debian.org/m/mat.html
> 
> And like I said, the CLI tool does seem to work.
> 
> Should we refrain from adding this package simply because the author is
> not maintaining it any more?  I'm inclined to say "no", but one also has
> to consider whether it is a a good idea to encourage people to use an
> unmaintained tool for protecting their privacy/anonymity.  I'm not sure.
> 
> In addition, I notice that the license is GPL 2, but it seems the author
> did not specify whether "any later version" can be used.  Therefore, I
> have listed this as gpl2, instead of gpl2+.

The tails people (iirc it is a tails project, who are hosted on boum.org infra)
are generally okay with questions, I think you should ask about wether it's GPL2 or GPL2+.

We could also ask them about the state of MAT, as once upon a time they used to
include it in Tails. No idea if they stil do.

> What do you think?
> 
> -- 
> Chris

> From c30a26364fdf919deb9bc6bd907b75de58a17a7b Mon Sep 17 00:00:00 2001
> From: Chris Marusich <cmmarusich@HIDDEN>
> Date: Sat, 28 Apr 2018 14:03:47 -0700
> Subject: [PATCH] gnu: Add mat.
> 
> * gnu/packages/photo.scm (mat): New variable.
> ---
>  gnu/packages/photo.scm | 52 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 52 insertions(+)
> 
> diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
> index 2c0c2313f..a6380cc63 100644
> --- a/gnu/packages/photo.scm
> +++ b/gnu/packages/photo.scm
> @@ -26,6 +26,7 @@
>    #:use-module (guix build-system cmake)
>    #:use-module (guix build-system gnu)
>    #:use-module (guix build-system perl)
> +  #:use-module (guix build-system python)
>    #:use-module (guix download)
>    #:use-module ((guix licenses) #:prefix license:)
>    #:use-module (guix packages)
> @@ -52,6 +53,7 @@
>    #:use-module (gnu packages llvm)
>    #:use-module (gnu packages man)
>    #:use-module (gnu packages maths)
> +  #:use-module (gnu packages music)
>    #:use-module (gnu packages perl)
>    #:use-module (gnu packages pkg-config)
>    #:use-module (gnu packages popt)
> @@ -521,3 +523,53 @@ workflow by facilitating the handling of large numbers of images.  Most raw
>  formats are supported, including Pentax Pixel Shift, Canon Dual-Pixel, and those
>  from Foveon and X-Trans sensors.")
>      (license license:gpl3+)))
> +
> +;; TODO: Add inputs for PDF support (e.g., Poppler, python-pdfrw).
> +;; TODO: Add inputs for GUI support (e.g., gi).
> +;; TODO: Fix some hard-coded paths.  For example, get_datafile_path embeds
> +;; paths like "/usr/local/share/mat", which we should probably rewrite so that
> +;; they point to mat's output directory in the store.  This specific example
> +;; causes "mat --list" to fail with an exception.

I'm all for making it less hard for a package to get initially into Guix, but
shouldn't at least hardcoded paths that make an often used function(?) be fixed
first? On the other hand it is functional as you wrote.

> +(define-public python2-mat
> +  (package
> +    (name "python2-mat")

Since people will expect this as "MAT" or "mat" and not "python2-mat", and to my
knowledge there is no python3 variant, we should name it just mat.

> +    (version "0.6.1")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://mat.boum.org/files/mat-" version ".tar.xz"))
> +              (sha256
> +               (base32
> +                "1faiiq7cjspafjjf4kmm7bbn8m506qgcijbizpgdvlaaapdyg0h7"))))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:python ,python-2
> +       #:use-setuptools? #f))
> +    (propagated-inputs
> +     `(("python2-pycairo" ,python2-pycairo)
> +       ("python2-mutagen" ,python2-mutagen)
> +       ("perl-image-exiftool" ,perl-image-exiftool)))
> +    (native-inputs
> +     `(("python2-distutils-extra" ,python2-distutils-extra)
> +       ("intltool" ,intltool)))
> +    (synopsis "Anonymize/remove metadata from files")
> +    (description
> +     "MAT (Metadata Anonymisation Toolkit) is a toolbox composed of a GUI
> +application, a CLI application and a library, to anonymize/remove metadata
> +from files.  It supports the following file formats:
> +
> +@itemize @bullet
> +@item Portable Network Graphics (.png)
> +@item Joint Photographic Experts Group (.jpg, .jpeg, etc.)
> +@item Tagged Image File Format (.tif, tiff, etc.)
> +@item Open Documents (.odt, .odx, .ods, etc.)
> +@item Office OpenXml (.docx, .pptx, .xlsx, etc.)
> +@item Portable Document Fileformat (.pdf)
> +@item Tape Archives (.tar, .tar.bz2, etc.)
> +@item Moving Picture Experts Group (MPEG) (.mp3, .mp2, .mp1, etc.)
> +@item Ogg Vorbis (.ogg, etc.)
> +@item Free Lossless Audio Codec (.flac)
> +@item Torrent (.torrent)
> +@end itemize")
> +    (home-page "https://mat.boum.org")
> +    (license license:gpl2)))
> -- 
> 2.17.0
> 







Information forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Apr 2018 21:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 28 17:38:29 2018
Received: from localhost ([127.0.0.1]:42346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCXY4-0004Bw-NK
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 17:38:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fCXY3-0004Bh-Cc
 for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 17:38:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cmmarusich@HIDDEN>) id 1fCXXx-0004Rr-5t
 for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 17:38:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50554)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cmmarusich@HIDDEN>)
 id 1fCXXx-0004Rk-1M
 for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 17:38:21 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51075)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cmmarusich@HIDDEN>) id 1fCXXv-00043c-Gi
 for guix-patches@HIDDEN; Sat, 28 Apr 2018 17:38:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cmmarusich@HIDDEN>) id 1fCXXu-0004Qu-9J
 for guix-patches@HIDDEN; Sat, 28 Apr 2018 17:38:19 -0400
Received: from mail-pf0-x22d.google.com ([2607:f8b0:400e:c00::22d]:37820)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <cmmarusich@HIDDEN>)
 id 1fCXXt-0004Qg-Vv
 for guix-patches@HIDDEN; Sat, 28 Apr 2018 17:38:18 -0400
Received: by mail-pf0-x22d.google.com with SMTP id p6so3981839pfn.4
 for <guix-patches@HIDDEN>; Sat, 28 Apr 2018 14:38:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=p8U6qLow/ORtq2YEYf2Z9fbvuthHzJNvYHPufb9Lu8o=;
 b=u7gW7rPMmTUgL3KYP9B6mY+/5o/pyU5KEEtsCqewvjRtVVgZ0Yan/3KYpSpK78se8N
 z0MlbsbYOuOsGZ+sStPmFJv8dMWSHWVVgEBndJlBH12eibkLOCXTrAcmjkDtRLAYTgSc
 hvqsr9/A88rA4qc7K3j894OKl+PD8pMP+056ActjBWRmnaMCeewJnp2MEvtwQJmxnvH7
 UIJ9RrFg/XDAyqdhhD8KrnikMnYTHtdoc5WFxexUp6fuWGQXof5sc4r3QWrUfSRWpjcr
 5Dl3q4FbhjLkbPpzO+cCtnvzjg1AjTKa/rdwGAQB8YEd0A3wmVgmxbwv+ARuS0rX0jGU
 qxCA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=p8U6qLow/ORtq2YEYf2Z9fbvuthHzJNvYHPufb9Lu8o=;
 b=LyQFp6Ugq50+p3ln57ntMQJyiAck5S/jt96//T3PaZxLp5ajjbuDUYXXQUcXkEL8B1
 xq/8Oczq42Yi7HiGKeyRK2C1LSC5fpCaQklV81WIAMJcejcqc+qIaalss86VerVfRC6Q
 +APR9kAqFBxyQGBSYd2xuKVz4y6jydsuJ0ewi8gJS1OCUTjy9/CBK01W0wYryzolZKmW
 C6Hzy1c+YJbmpsZQ2xDiNGPThqj0u4Usvld0gg9umEc8YsrixhDDYbQ+hqupOYji4/jq
 6dBmevmvaw30wTWfKl4z3LUEqjsVzgYgCx/zp/x6CYv409wts0zy5qL1RFd4lOadixmy
 m81g==
X-Gm-Message-State: ALQs6tBwemAwDWLKr7H7O/sFc2KRZ9siRzJFWHH132qlXu+r+yWYJbB1
 6Hv2wrK/q74tE6gp+CIR0y+O9A==
X-Google-Smtp-Source: AB8JxZqKFp82s+GSRpQlIfleROi44kVGbV1VtAUgHknA2nrysgEzhOi6WukLWUt1nYuB3vyPiZ6QeA==
X-Received: by 2002:a17:902:7782:: with SMTP id
 o2-v6mr7365738pll.247.1524951496197; 
 Sat, 28 Apr 2018 14:38:16 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id r82sm13987988pfk.187.2018.04.28.14.38.14
 for <guix-patches@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 28 Apr 2018 14:38:14 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] Add MAT, the Metadata Anonymisation Toolkit from Boum
Date: Sat, 28 Apr 2018 14:38:13 -0700
Message-ID: <87wowrj9kq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Guix,

This patch adds MAT, the Metadata Anonymisation Toolkit from Boum.  I've
successfully used its CLI tool to purge metadata from JPEG image files;
I verified using exiftool that it works for this purpose.  However, not
all of its features work (see the TODO for details), and more
importantly, the website says people shouldn't use it.  For these
reasons, I'm not sure if we should add it, so I'd like to ask for your
opinion.

The author state on their website:

  https://mat.boum.org/

  Current status

  The MAT maintenance and development is currently on hold, mostly for
  health reasons. I might go back to it at some point in the future.

  The current version might have bugs, and doesn't work on Python3: Please
  avoid using it.

However, packages exist for some distributions.  For example, here's a
MAT package for Debian:

  https://packages.qa.debian.org/m/mat.html

And like I said, the CLI tool does seem to work.

Should we refrain from adding this package simply because the author is
not maintaining it any more?  I'm inclined to say "no", but one also has
to consider whether it is a a good idea to encourage people to use an
unmaintained tool for protecting their privacy/anonymity.  I'm not sure.

In addition, I notice that the license is GPL 2, but it seems the author
did not specify whether "any later version" can be used.  Therefore, I
have listed this as gpl2, instead of gpl2+.

What do you think?

=2D-=20
Chris

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-mat.patch
Content-Transfer-Encoding: quoted-printable

From=20c30a26364fdf919deb9bc6bd907b75de58a17a7b Mon Sep 17 00:00:00 2001
From: Chris Marusich <cmmarusich@HIDDEN>
Date: Sat, 28 Apr 2018 14:03:47 -0700
Subject: [PATCH] gnu: Add mat.

* gnu/packages/photo.scm (mat): New variable.
=2D--
 gnu/packages/photo.scm | 52 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 2c0c2313f..a6380cc63 100644
=2D-- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -26,6 +26,7 @@
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system perl)
+  #:use-module (guix build-system python)
   #:use-module (guix download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -52,6 +53,7 @@
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages man)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages music)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages popt)
@@ -521,3 +523,53 @@ workflow by facilitating the handling of large numbers=
 of images.  Most raw
 formats are supported, including Pentax Pixel Shift, Canon Dual-Pixel, and=
 those
 from Foveon and X-Trans sensors.")
     (license license:gpl3+)))
+
+;; TODO: Add inputs for PDF support (e.g., Poppler, python-pdfrw).
+;; TODO: Add inputs for GUI support (e.g., gi).
+;; TODO: Fix some hard-coded paths.  For example, get_datafile_path embeds
+;; paths like "/usr/local/share/mat", which we should probably rewrite so =
that
+;; they point to mat's output directory in the store.  This specific examp=
le
+;; causes "mat --list" to fail with an exception.
+(define-public python2-mat
+  (package
+    (name "python2-mat")
+    (version "0.6.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://mat.boum.org/files/mat-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1faiiq7cjspafjjf4kmm7bbn8m506qgcijbizpgdvlaaapdyg0h7"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:python ,python-2
+       #:use-setuptools? #f))
+    (propagated-inputs
+     `(("python2-pycairo" ,python2-pycairo)
+       ("python2-mutagen" ,python2-mutagen)
+       ("perl-image-exiftool" ,perl-image-exiftool)))
+    (native-inputs
+     `(("python2-distutils-extra" ,python2-distutils-extra)
+       ("intltool" ,intltool)))
+    (synopsis "Anonymize/remove metadata from files")
+    (description
+     "MAT (Metadata Anonymisation Toolkit) is a toolbox composed of a GUI
+application, a CLI application and a library, to anonymize/remove metadata
+from files.  It supports the following file formats:
+
+@itemize @bullet
+@item Portable Network Graphics (.png)
+@item Joint Photographic Experts Group (.jpg, .jpeg, etc.)
+@item Tagged Image File Format (.tif, tiff, etc.)
+@item Open Documents (.odt, .odx, .ods, etc.)
+@item Office OpenXml (.docx, .pptx, .xlsx, etc.)
+@item Portable Document Fileformat (.pdf)
+@item Tape Archives (.tar, .tar.bz2, etc.)
+@item Moving Picture Experts Group (MPEG) (.mp3, .mp2, .mp1, etc.)
+@item Ogg Vorbis (.ogg, etc.)
+@item Free Lossless Audio Codec (.flac)
+@item Torrent (.torrent)
+@end itemize")
+    (home-page "https://mat.boum.org")
+    (license license:gpl2)))
=2D-=20
2.17.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlrk6cUACgkQ3UCaFdgi
Rp0lfg//b0adAXOEapCB73mMutQNTgdSHZ/Mbume4pJPA1DOdL8t4S8u5aGA2WQP
LtI8M0A6tkmQ6BSo2/0+6OTT+MCHxSB5mYsIOzUfpzW+kJz7aspP8OqvCoFHQjfs
1BWSUYLein9Ah/GlY5krDTEAGdpaqVzQP3ue/6oNRU8H1ehGoG+0y/ibDYV2Kexb
nGv/B3vnBPkW7c/9Ni5tZC187sulgKl4Y23tCysFP1yGHvBFV85S7vYB/1xh8W8T
G7BPpPwTRGGmUj5nkxQq/Xkv375JBeFLDb6LKyZnW7TKNb2GWVbSXK2YSmWvc7yd
yqTE7fOMC/NXL7sjkSHLHE+VxQspUb4qSrlQqRkSNf5Md6VRHrDJe4e/mK6cA2s2
8Fts4scmylSJdgRn/8BmEKws3sTZSTU1iH7pH/s66usfjkv/RAWZm7nZv6GijcFx
w3bAJElt4i6y+CC//lsGVJrF7mFJGJ0MCynDBg45hK9hLTilW8QrwNl1etH8j5F1
8sMV3a7JZok6kfHL0HUBXxhNNkE4o3NccK7QxID0Xnl0P0l50ObCjcI9QA4TyZsX
CuYQrij0Un3vWzCwZxzojpK9QwN/y7HlbxjaQV6V1CtW7zMBmuVVLxFG5xyhRKsH
vZHP3joaQvJQ/SpjHh3dkAD+eLXR3RkA/s6fI2zB+g7P1rj8bjI=
=oMOX
-----END PGP SIGNATURE-----
--==-=-=--




Acknowledgement sent to Chris Marusich <cmmarusich@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#31307; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.